#pragma once

#include "CoreMinimal.h"
#include "NewsAndMessagesCallToAction.generated.h"

USTRUCT(BlueprintType)
struct FNewsAndMessagesCallToAction
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString Link;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString Text;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString ExtraText;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool ExtraText_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool ShouldPresentAsQRCode;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool QRCodeIsApprovedOnSwitch;

public:
	NEWSANDMESSAGESCOMMON_API FNewsAndMessagesCallToAction();
};

FORCEINLINE uint32 GetTypeHash(const FNewsAndMessagesCallToAction) { return 0; }
